# -*- coding: utf-8 -*-
##############################################################################
#
#    wms module for OpenERP, WMS Extended for Open ERP
#    Copyright (C) 2010 SYLEAM Info Services (<http://www.Syleam.fr/>)
#              Sebastien LANGE <sebastien.lange@syleam.fr>
#
#    This file is a part of wms
#
#    wms is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    wms is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from osv import osv
from osv import fields


class company(osv.osv):
    _inherit = 'res.company'
    _columns = {
        'average_price_stock_picking_internal': fields.boolean('Internal', ),
        'average_price_stock_picking_out': fields.boolean('Out', ),
        'average_price_stock_picking_delivery': fields.boolean('Delivery', ),
        'delivery_average_price': fields.boolean('Delivery Average Price', ),
    }
    _defaults = {
        'average_price_stock_picking_internal': lambda *a: False,
        'average_price_stock_picking_out': lambda *a: False,
        'average_price_stock_picking_delivery': lambda *a: False,
        'delivery_average_price': lambda *a: True,
    }
company()

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
